Package ru.bitel.bgbilling.modules.inet.common.bean

# Class TrafficTypeLinkRule

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.inet.common.bean.TrafficTypeLinkRule

All Implemented Interfaces:
  `Serializable`, `Idable`

public class TrafficTypeLinkRule extends Id

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final IpAddress`
  `addressFrom`
  `final IpAddress`
  `addressTo`
  `static final int`
  `ANY_IFACE`
  `final String`
  `counterPrefix`
  `final String`
  `counterRealm`
  `final String`
  `counterService`
  `final int`
  `counterType`
  `final int`
  `counterVendor`
  `final Date`
  `dateFrom`
  `final Date`
  `dateTo`
  `final int`
  `diffServ`
  `final int`
  `diffServMask`
  `final String`
  `diffServString`
  `final int`
  `direction`
  `static final int`
  `DIRECTION_IN`
  `static final int`
  `DIRECTION_OUT`
  `final int`
  `interfaceId`
  `final int`
  `portFrom`
  `final int`
  `portTo`
  `final int`
  `sourceId`
  `final long`
  `timeFrom`
  `final long`
  `timeTo`
  `final Integer`
  `trafficTypeId`
  `final int`
  `type`
  `static final int`
  `TYPE_COUNTER`
  `static final int`
  `TYPE_FLOW`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `TrafficTypeLinkRule()`
  Для JAXB
  ``
  `TrafficTypeLinkRule(Date dateFrom, Date dateTo, int sourceId, int interfaceId, int direction, IpAddress addressFrom, IpAddress addressTo, int portFrom, int portTo, String diffServString, int trafficTypeId, String comment)`
  ``
  `TrafficTypeLinkRule(Date dateFrom, Date dateTo, String counterRealm, String counterService, int counterVendor, int counterType, String counterPrefix, int trafficTypeId, String comment)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `void`
  `setComment(String comment)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### TYPE_COUNTER

    public static final int TYPE_COUNTER
    See Also:
      - Constant Field Values

  - ### TYPE_FLOW

    public static final int TYPE_FLOW
    See Also:
      - Constant Field Values

  - ### ANY_IFACE

    public static final int ANY_IFACE
    See Also:
      - Constant Field Values

  - ### DIRECTION_OUT

    public static final int DIRECTION_OUT
    See Also:
      - Constant Field Values

  - ### DIRECTION_IN

    public static final int DIRECTION_IN
    See Also:
      - Constant Field Values

  - ### dateFrom

    public final Date dateFrom

  - ### dateTo

    public final Date dateTo

  - ### timeFrom

    public final long timeFrom

  - ### timeTo

    public final long timeTo

  - ### type

    public final int type

  - ### counterRealm

    public final String counterRealm

  - ### counterService

    public final String counterService

  - ### counterVendor

    public final int counterVendor

  - ### counterType

    public final int counterType

  - ### counterPrefix

    public final String counterPrefix

  - ### sourceId

    public final int sourceId

  - ### interfaceId

    public final int interfaceId

  - ### direction

    public final int direction

  - ### addressFrom

    public final IpAddress addressFrom

  - ### addressTo

    public final IpAddress addressTo

  - ### portFrom

    public final int portFrom

  - ### portTo

    public final int portTo

  - ### diffServ

    public final int diffServ

  - ### diffServMask

    public final int diffServMask

  - ### diffServString

    public final String diffServString

  - ### trafficTypeId

    public final Integer trafficTypeId

- ## Constructor Details

  - ### TrafficTypeLinkRule

    protected TrafficTypeLinkRule()
    Для JAXB

  - ### TrafficTypeLinkRule

    public TrafficTypeLinkRule(Date dateFrom, Date dateTo, String counterRealm, String counterService, int counterVendor, int counterType, String counterPrefix, int trafficTypeId, String comment)
    Parameters:
      `dateFrom` -
      `dateTo` -
      `counterRealm` -
      `counterService` -
      `counterVendor` -
      `counterType` -
      `counterPrefix` -
      `trafficTypeId` -
      `comment` -

  - ### TrafficTypeLinkRule

    public TrafficTypeLinkRule(Date dateFrom, Date dateTo, int sourceId, int interfaceId, int direction, IpAddress addressFrom, IpAddress addressTo, int portFrom, int portTo, String diffServString, int trafficTypeId, String comment)

- ## Method Details

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Id`